# - Find Valgrind
# Find the valgrind headers
#
#  This module defines the following variables:
#     VALGRIND_FOUND       - True if VALGRIND_INCLUDE_DIR & VALGRIND_LIBRARY are found
#     VALGRIND_INCLUDE_DIRS - Set when VALGRIND_INCLUDE_DIR is found
#
#     VALGRIND_INCLUDE_DIR - where to find valgrind/valgrind.h, etc.
#

#=============================================================================
# Copyright 2009 Kitware, Inc.
# Copyright 2009 Philip Lowman <philip@yhbt.com>
# Copyright 2009 Eindhoven University of Technology - www.tue.nl
# Copyright 2009 Wouter Haffmans <wouter@simply-life.net>
#
# Distributed under the OSI-approved BSD License (the "License");
# see accompanying file Copyright.txt for details.
#
# This software is distributed WITHOUT ANY WARRANTY; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the License for more information.
#=============================================================================
# (To distributed this file outside of CMake, substitute the full
#  License text for the above reference.)

find_path(VALGRIND_INCLUDE_DIR NAMES valgrind/valgrind.h
          DOC "The Valgrind include directory"
)

# handle the QUIETLY and REQUIRED arguments and set VALGRIND_FOUND to TRUE if
# all listed variables are TRUE
include(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(Valgrind DEFAULT_MSG VALGRIND_INCLUDE_DIR)

if(VALGRIND_FOUND)
  set( VALGRIND_INCLUDE_DIRS ${VALGRIND_INCLUDE_DIR} )
endif()

mark_as_advanced(VALGRIND_INCLUDE_DIR)
