/*
    RdfsUpdate: A research tool for RDFS data
    Copyright (C) 2009-2011 Eindhoven University of Technology - www.tue.nl
    Copyright (C) 2009-2011 Wouter Haffmans <wouter@simply-life.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef RDFS_BDBTRIPLETBTREECURSOR_H
#define RDFS_BDBTRIPLETBTREECURSOR_H

#include "rdfscursor.h"

#include <db.h>

namespace Rdfs {

    class RdfsBdbTripleT;

class BdbTripleTBtreeCursor : public Rdfs::RdfsCursor
{
private:
    DB *m_db;
    DBC *m_cursor;
    DBT m_current;
    Triple m_currentTriple;
    bool m_eof;

    QString m_primary;

    bool isMatch() const;
    bool moveValid();
    DBC* loadCursor(const Rdfs::Triple& t) const;
    bool mayHaveMore();
    void advanceCursor();

public:
    virtual bool eof() const;
    virtual void close();
    virtual bool open();
    virtual bool next();
    virtual Rdfs::Triple current() const;
    BdbTripleTBtreeCursor(Rdfs::RdfsBdbTripleT* backend, const Rdfs::Triple& query, Rdfs::RdfsRole role, Rdfs::RdfsTable table = RDFS_ORIGINAL);
    virtual ~BdbTripleTBtreeCursor();
};

}

#endif // RDFS_BDBTRIPLETBTREECURSOR_H
