/*
    RdfsUpdate: A research tool for RDFS data
    Copyright (C) 2009-2011 Eindhoven University of Technology - www.tue.nl
    Copyright (C) 2009-2011 Wouter Haffmans <wouter@simply-life.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef RDFSUPDATE_RDFSHELP_H
#define RDFSUPDATE_RDFSHELP_H

#include "../rdfscommand.h"

namespace Rdfs {
class RdfsHelp : public RdfsCommand {
    Q_OBJECT
public:
    RdfsHelp(RdfsUpdate* parent);

    virtual QString name() const { return "help"; };
    virtual QString description() const { return tr("Get help with commands"); };
    virtual QStringList aliases() const { return QStringList() << "h" << "?"; };
    virtual QList<CommandParameter> arguments() const;
    virtual bool requireConnection() const { return false; };

    virtual QString checkArguments(const QStringList &arguments) const { return QString(); };
    virtual bool exec(const QStringList &arguments);

    virtual ~RdfsHelp();
};
};

#endif // RDFSUPDATE_RDFSHELP_H
