/*
    RdfsUpdate: A research tool for RDFS data
    Copyright (C) 2009-2011 Eindhoven University of Technology - www.tue.nl
    Copyright (C) 2009-2011 Wouter Haffmans <wouter@simply-life.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef RDFS_RDFSONTOLOGYDOT_H
#define RDFS_RDFSONTOLOGYDOT_H

#include "../rdfscommand.h"

namespace Rdfs {

class RdfsOntologyDot : public Rdfs::RdfsCommand
{
    Q_OBJECT
public:
    virtual bool exec(const QStringList& arguments);
    virtual QString checkArguments(const QStringList& arguments) const;
    virtual QList< Rdfs::CommandParameter > arguments() const;
    virtual bool requireConnection() const { return true; };
    virtual QStringList aliases() const { return QStringList() << "do"; };
    virtual QString description() const { return tr("Export an ontology - links between classes using properties - to DOT format."); };
    virtual QString name() const { return tr("dotontolgy"); };

    RdfsOntologyDot(Rdfs::RdfsUpdate* parent);
    virtual ~RdfsOntologyDot();
};

}

#endif // RDFS_RDFSONTOLOGYDOT_H
