/*
    RdfsUpdate: A research tool for RDFS data
    Copyright (C) 2009-2011 Eindhoven University of Technology - www.tue.nl
    Copyright (C) 2009-2011 Wouter Haffmans <wouter@simply-life.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef RDFS_RDFSTRIPLECOMMAND_H
#define RDFS_RDFSTRIPLECOMMAND_H

#include "../rdfscommand.h"

#include "../rdfssql.h"

namespace Rdfs {

class RdfsTripleCommand : public Rdfs::RdfsCommand
{
    Q_OBJECT
protected:
    virtual void extractArguments(const QStringList &arguments, RdfsTable *table, Triple *t) const;

public:
    RdfsTripleCommand(RdfsUpdate* parent);

    virtual bool requireConnection() const { return true; }
    virtual QList<Rdfs::CommandParameter> arguments() const;
    virtual QString checkArguments(const QStringList& arguments) const;

    virtual ~RdfsTripleCommand();
};

}

#endif // RDFS_RDFSTRIPLECOMMAND_H
