/*
    RdfsUpdate: A research tool for RDFS data
    Copyright (C) 2009-2011 Eindhoven University of Technology - www.tue.nl
    Copyright (C) 2009-2011 Wouter Haffmans <wouter@simply-life.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef RDFS_RDFSBDBCURSOR_H
#define RDFS_RDFSBDBCURSOR_H

#include "rdfscursor.h"

#include <db.h>

namespace Rdfs {

class RdfsBdb;

class RdfsBdbCursor : public Rdfs::RdfsCursor
{
private:
    DBC *m_cursor, *m_inCursor, *m_outCursor, *m_edgeCursor;
    int m_flags;
    bool m_eof;
    RdfsBdb *m_bdb;
    Triple m_current;

public:
    virtual bool eof() const;
    virtual void close();
    virtual bool open();
    virtual bool next();
    virtual Rdfs::Triple current() const;
    explicit RdfsBdbCursor(Rdfs::RdfsBdb* backend, Rdfs::Triple& query, Rdfs::RdfsTable table = RDFS_ORIGINAL);
    virtual ~RdfsBdbCursor();
};

}

#endif // RDFS_RDFSBDBCURSOR_H
