/*
    RdfsUpdate: A research tool for RDFS data
    Copyright (C) 2009-2011 Eindhoven University of Technology - www.tue.nl
    Copyright (C) 2009-2011 Wouter Haffmans <wouter@simply-life.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef RDFS_RDFSMYSQL_H
#define RDFS_RDFSMYSQL_H

#include "rdfssql.h"


namespace Rdfs
{

class RdfsMySql : public Rdfs::RdfsSql
{

protected:
    virtual void initializeRdfsOriginal();
    virtual void initializeRdfsRules();
    virtual void initializeRdfsUpdate();

    virtual QStringList databaseTables();

public:

    explicit RdfsMySql(const QString &databaseName,
              const QString &hostname = "localhost", int port = 3306,
              const QString &username = QString(), const QString &password = QString(),
              const QString &socket = QString());
    virtual ~RdfsMySql();

    virtual void insertTriple ( const Rdfs::Triple& t, Rdfs::RdfsTable table = RDFS_ORIGINAL );
};

}

#endif // RDFS_RDFSMYSQL_H
